<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>cronsync API Demo</title>
</head>
<body>
	<h1>cronsync API Demo</h1>
	<?php
	// your account key
	$account = '1fd53de775e0c07f0989265b60523886';
	// your secret key
	$secret = '338171edddbf0e604d2925ddacd801e900a387ddb7390e0868b436e83eebeec6';
	$dbname = 'de'; // your accout name (subdomain)
	
	// prepare request parameters
	$request = array(
		'accountKey' => $account, // your account key
		'timestamp' => gmdate('U'), // greenwich meantime timestamp
		'controller' => 'times', // controller e.g. companies, times, addresses
		'action' => 'index', // action index or id of entry
// 		'from' => 'from:'.strtotime('-140days'), // optional unix timestamp for request of times
// 		'to' => 'to:'.strtotime('now'), // optional for timestamp request of times
	);
		
	$dataType = 'json'; // define your preferred answer format json/xml
	$queryString = implode('/', $request). '.' .$dataType;
	
	// create signature of request string	
	$signature = hash('sha1', $queryString.$secret);

	// create final url
	$url = 'https://' .$dbname. '.cronsync.com/api/' .$signature. '/' .$queryString;
	echo $url;
	
	// make request
	$request = file_get_contents($url);
	
	if ($data = json_decode($request, true))
	{
		// work with received data
		print_r($data);
	}
	else
	{
		print_r($request);
	}
	?>
</body>
</html>